%define fontname dejima-mincho
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Dejima mincho font
Summary(ja): 出島明朝フォント
Version: 227
Release: 2%{?_dist_release}
License: MIT
Group: User Interface/X
URL: http://code.google.com/p/dejima-fonts/

Source0: %{fontname}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: TrueType-%{fontname}-doc

%description
Dejima mincho font is Japanese TrueType mincho type font.
Kanji part is based on Tsukiji 3gou and Kana part is based on Tsukiji 4gou.

%description -l ja
出島明朝フォントは日本語 TrueType 明朝フォントです。
漢字部分は築地3号に、かな部分は築地4号に基づいています。

%package doc
Summary: Dejima mincho font documents
Summary(ja): 出島明朝フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Dejima mincho font
includes enduser license.

%description -l ja doc
このパッケージには出島明朝フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -n %{fontname}-%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc LICENSE

%changelog
* Mon Jan 13 2014 TANAKA hiroaki <mosaicist@jcom.home.ne.jp> 227-2
- built with gcc-4.8

* Tue Nov 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 227-1
- initial build for VineSeed
